Debian Bug report logs - #497717
firmware-iwlwifi: Please include the ucode for the new 5000-series cards

version graph

Package: firmware-iwlwifi; Maintainer for firmware-iwlwifi is Debian Kernel Team <debian-kernel@lists.debian.org>; Source for firmware-iwlwifi is src:firmware-nonfree.

Reported by: Nate Carlson <debian@natecarlson.com>

Date: Wed, 3 Sep 2008 20:30:02 UTC

Severity: wishlist

Tags: patch

Found in versions firmware-nonfree/0.12, firmware-nonfree/0.14

Fixed in version firmware-nonfree/0.15

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#497717; Package firmware-iwlwifi. Full text and rfc822 format available.

Acknowledgement sent to Nate Carlson <debian@natecarlson.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nate Carlson <debian@natecarlson.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: firmware-iwlwifi: Please include the ucode for the new 5000-series cards
Date: Wed, 03 Sep 2008 15:18:54 -0500
Package: firmware-iwlwifi
Version: 0.12
Severity: wishlist


Intel recently released the 5000-series wireless cards (I have a 5300);
it would be nice if you could include the firmware for these so we would
not need to install them separately.

The firmware is available fron intellinuxwireless.org, as usual.. here
is a link to the current version:

http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-5.4.A.11.tar.gz

Thanks!

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

firmware-iwlwifi depends on no packages.

firmware-iwlwifi recommends no packages.

Versions of packages firmware-iwlwifi suggests:
ii  initramfs-tools   0.92f                  tools for generating an initramfs
ii  linux-image-2.6.2 2.6.25-1snapshot.11177 Linux 2.6.25 image on PPro/Celeron
ii  linux-image-2.6.2 2.6.25-7snapshot.11833 Linux 2.6.25 image on PPro/Celeron
ii  linux-image-2.6.2 2.6.26-3               Linux 2.6.26 image on PPro/Celeron

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#497717; Package firmware-iwlwifi. (Tue, 02 Dec 2008 16:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 02 Dec 2008 16:12:02 GMT) Full text and rfc822 format available.

Message #10 received at 497717@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Nate Carlson <debian@natecarlson.com>, 497717@bugs.debian.org
Subject: Re: Bug#497717: firmware-iwlwifi: Please include the ucode for the new 5000-series cards
Date: Tue, 2 Dec 2008 17:08:57 +0100
On Wed, 03 Sep 2008, Nate Carlson wrote:
> Intel recently released the 5000-series wireless cards (I have a 5300);
> it would be nice if you could include the firmware for these so we would
> not need to install them separately.

Ping ? I have just bought a new Dell E4300 with a 5100 wifi card from
Intel and it also needs the firmware...

Should be a simple fix for sid and can't create problems for lenny.

http://intellinuxwireless.org/?p=iwlwifi&n=downloads
http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-5.4.A.11.tar.gz

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#497717; Package firmware-iwlwifi. (Fri, 23 Jan 2009 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 23 Jan 2009 23:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 497717@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: Debian Bug Tracking System <497717@bugs.debian.org>
Subject: firmware-iwlwifi: Patch to support Intel WiFi 5000 cards.
Date: Sat, 24 Jan 2009 00:05:13 +0100
[Message part 1 (text/plain, inline)]
Package: firmware-iwlwifi
Version: 0.14
Followup-For: Bug #497717

I have prepared a tiny patch to add iwlwifi-5000-1.ucode firmware.

The license is the same as iwl3945/iwl4965 firmware's license, so I have
added the firmware in the same package (even though the module name is
different).

This firmware is only useful with linux kernel >= 2.6.27 which has the
appropriate driver.

Franklin
[iwl5000-series.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#497717; Package firmware-iwlwifi. (Fri, 23 Jan 2009 23:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 23 Jan 2009 23:27:02 GMT) Full text and rfc822 format available.

Message #20 received at 497717@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: Debian Bug Tracking System <497717@bugs.debian.org>
Cc: control@bugs.debian.org
Subject: Re: firmware-iwlwifi: Patch to support Intel WiFi 5000 cards.
Date: Sat, 24 Jan 2009 00:22:50 +0100
[Message part 1 (text/plain, inline)]
tag 497717 patch
--

On Sat, 2009-01-24 at 00:05 +0100, Frank Lin PIAT wrote:
> 
> I have prepared a tiny patch to add iwlwifi-5000-1.ucode firmware.

Here's an improved patch, which includes Evgeni Golov suggestion
"should mention ${modulename} in the long description".

Franklin
[iwl5000-series-v2.diff (text/x-patch, attachment)]

Tags added: patch Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Fri, 23 Jan 2009 23:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#497717; Package firmware-iwlwifi. (Sat, 24 Jan 2009 00:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 24 Jan 2009 00:03:02 GMT) Full text and rfc822 format available.

Message #27 received at 497717@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: Debian Bug Tracking System <497717@bugs.debian.org>
Subject: Re: firmware-iwlwifi: Patch to support Intel WiFi 5000 cards.
Date: Sat, 24 Jan 2009 00:57:01 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2009-01-24 at 00:22 +0100, Frank Lin PIAT wrote:
> 
> On Sat, 2009-01-24 at 00:05 +0100, Frank Lin PIAT wrote:
> > 
> > I have prepared a tiny patch to add iwlwifi-5000-1.ucode firmware.
> 
> Here's an improved patch, which includes Evgeni Golov suggestion
> "should mention ${modulename} in the long description".

Well.. that patch "version 2" was a crap.

Sorry,
[iwl5000-series-v3.diff (text/x-patch, attachment)]

Tags added: pending Request was from Maximilian Attems <maks@alioth.debian.org> to control@bugs.debian.org. (Thu, 19 Mar 2009 15:00:04 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Sat, 28 Mar 2009 23:39:05 GMT) Full text and rfc822 format available.

Notification sent to Nate Carlson <debian@natecarlson.com>:
Bug acknowledged by developer. (Sat, 28 Mar 2009 23:39:05 GMT) Full text and rfc822 format available.

Message #34 received at 497717-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 497717-close@bugs.debian.org
Subject: Bug#497717: fixed in firmware-nonfree 0.15
Date: Sat, 28 Mar 2009 23:06:51 +0000
Source: firmware-nonfree
Source-Version: 0.15

We believe that the bug you reported is fixed in the latest version of
firmware-nonfree, which is due to be installed in the Debian FTP archive:

firmware-bnx2_0.15_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-bnx2_0.15_all.deb
firmware-ipw2x00_0.15_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-ipw2x00_0.15_all.deb
firmware-iwlwifi_0.15_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-iwlwifi_0.15_all.deb
firmware-linux_0.15_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-linux_0.15_all.deb
firmware-nonfree_0.15.dsc
  to pool/non-free/f/firmware-nonfree/firmware-nonfree_0.15.dsc
firmware-nonfree_0.15.tar.gz
  to pool/non-free/f/firmware-nonfree/firmware-nonfree_0.15.tar.gz
firmware-qlogic_0.15_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-qlogic_0.15_all.deb
firmware-ralink_0.15_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-ralink_0.15_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 497717@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated firmware-nonfree package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 27 Mar 2009 12:34:17 +0100
Source: firmware-nonfree
Binary: firmware-bnx2 firmware-ipw2x00 firmware-iwlwifi firmware-linux firmware-qlogic firmware-ralink
Architecture: source all
Version: 0.15
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 firmware-bnx2 - Binary firmware for Broadcom NetXtremeII
 firmware-ipw2x00 - Binary firmware for Intel Pro Wireless 2100, 2200 and 2915
 firmware-iwlwifi - Binary firmware for Intel Wireless 3945, 4965 and 5000-series car
 firmware-linux - Binary firmware for Linux shipped firmwares
 firmware-qlogic - Binary firmware for QLogic QLA1XXX and QLA2XXX
 firmware-ralink - Binary firmware for Ralink RT2561, RT2571, RT2661 and RT2671 wire
Closes: 497593 497717 502326
Changes: 
 firmware-nonfree (0.15) unstable; urgency=low
 .
   [ Ben Hutchings ]
   * Add 3Com Typhoon (3CR990) firmware.
   * Add ATI Rage 128 and Radeon firmware.
   * Add BayCom DAB-USB firmware.
   * Add Intel PRO/100 firmware.
   * Add Kawasaki LSI KL5KUSB101 firmware.
   * Add Matrox G20/G400/G550 firmware.
   * Add QLogic QLA1xxx firmware.
   * Add Tehuti network card firmware.
 .
   [ Bastian Blank ]
   * Remove own initramfs-hook.
 .
   [ maximilian attems ]
   * Update iwlwifi-4965 to 228.57.2.23. (closes: #502326)
   * Add iwlwifi-5000-1.ucode. (closes: #497717)
     Thanks Frank Lin PIAT <fpiat@klabs.be> for patch.
   * Update iwlwifi-3945 to 15.28.2.8. (closes: #497593)
   * Bump standards to 3.8.1, no changes required.
 .
   [ dann frazier ]
   * Update linux-support build-dep to 2.6.29-1.
   * Update bnx2 firmware to 2.6.29.
Checksums-Sha1: 
 baa288728b3ed1d5905c67a1b2b1f16a60266984 1193 firmware-nonfree_0.15.dsc
 5708c2db43f2b3c63946e04cd2dcbba76659dee4 1743849 firmware-nonfree_0.15.tar.gz
 079aa21fa7f62c005e0d9c02b1aac7c5a03abbf6 204386 firmware-bnx2_0.15_all.deb
 03d757af895cbf9cef4016f4e79e8c427bf95fd9 519614 firmware-ipw2x00_0.15_all.deb
 156e566c177638517db37f949c6f0f05c65fb668 464810 firmware-iwlwifi_0.15_all.deb
 54d5a19f66c1e3a2a88e7cfa99862d9ca337f74f 70632 firmware-linux_0.15_all.deb
 c3b9908d7cdb2b19ca4a2fe324a08831f4ded93c 466634 firmware-qlogic_0.15_all.deb
 9df1bae2426ec05b2abdf88adfa79fad62491f0b 12040 firmware-ralink_0.15_all.deb
Checksums-Sha256: 
 174c7cd711514e621de2fa768771612a3e670e45db36bf71df4a4d773bebb1ce 1193 firmware-nonfree_0.15.dsc
 d8ead3ef9834d0eaac5ccb907bc90b436445f2b150450390b1af4c78198cd07a 1743849 firmware-nonfree_0.15.tar.gz
 36b6f6c99a3b81f94b22959d4c19d843ef00712775ec72e6bc78a12740bb4f9b 204386 firmware-bnx2_0.15_all.deb
 07736eedf8f2c3f681cd03005c3cd77ee0c73a37f35dbab0c31f983b8e5452fb 519614 firmware-ipw2x00_0.15_all.deb
 0ae1b8ba7312bc7870b26d928ba918e9fe05fa7d1e6edc0a72a72f2dc5e90130 464810 firmware-iwlwifi_0.15_all.deb
 ecdf1acb925ba4e8bdb667446bd9bbedb22a6de651a6e09e740e36e08b4fff6c 70632 firmware-linux_0.15_all.deb
 44166d3f9af67b30b3dfa876c3633de789eb16ba185957eaed939482e010147d 466634 firmware-qlogic_0.15_all.deb
 1c558ab4b8067b91bfdd52ceda85d32d93052c98c0990f1e831bdba4d9731cba 12040 firmware-ralink_0.15_all.deb
Files: 
 ee125784573532d1edd73d2bcd18d7e3 1193 non-free/admin optional firmware-nonfree_0.15.dsc
 072d7493713437504584ac6918985020 1743849 non-free/admin optional firmware-nonfree_0.15.tar.gz
 5675210774436fb10a546b515be37a91 204386 non-free/admin optional firmware-bnx2_0.15_all.deb
 beb0eea0ec08c005b1be9bd740de6136 519614 non-free/admin optional firmware-ipw2x00_0.15_all.deb
 d8b2b236a530853fa22a0e7f31fb9dfe 464810 non-free/admin optional firmware-iwlwifi_0.15_all.deb
 614d966e70e87bc8a45254a4211dd2c7 70632 non-free/admin optional firmware-linux_0.15_all.deb
 592e3ace41a8dd3dda8f98d64874d7a1 466634 non-free/admin optional firmware-qlogic_0.15_all.deb
 0cca7cdae5b15b7eb4361b50990b3172 12040 non-free/admin optional firmware-ralink_0.15_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknMurcACgkQeW7Lc5tEHqjzJACfQ1UosjzZqHzeQsh6vZnZ8rb3
3SwAmgJOPDSZT3Ukm41r5jATYijzho2M
=D4zy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Apr 2009 07:26:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:18:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.